blogtk crashes on start

Bug #364745 reported by adameus23 on 2009-04-21
146
This bug affects 17 people
Affects Status Importance Assigned to Milestone
BloGTK
Undecided
JayReding
Nominated for Trunk by Ralph Taylor
1.2
Critical
JayReding
blogtk (Ubuntu)
Medium
Ralph Taylor
Jaunty
Undecided
Unassigned

Bug Description

Installed blogtk on jaunty, tried to start and got this:

Traceback (most recent call last):
  File "/usr/bin/blogtk", line 1245, in <module>
    blogtk = BloGTK()
  File "/usr/bin/blogtk", line 138, in __init__
    self.grabConfig()
  File "/usr/bin/blogtk", line 372, in grabConfig
    self.url = self.conf.get(self.sectionName, 'server')
  File "/usr/lib/python2.6/ConfigParser.py", line 531, in get
    raise NoSectionError(section)
ConfigParser.NoSectionError: No section: 'Default'

Deleting the directory ~/.BloGTK didn't fix the problem.
BloGTK.conf is empty after crash.

Ralph Taylor (djnrrd) wrote :

Confirmed on my Jaunty install as well - full error is:

djnrrd@pinky:~$ blogtk
Creating new BloGTK prefs directory
Config file not found - Will Open Prefs!
Creating New Config!
Traceback (most recent call last):
  File "/usr/bin/blogtk", line 1245, in <module>
    blogtk = BloGTK()
  File "/usr/bin/blogtk", line 136, in __init__
    self.displayPrefs(self)
  File "/usr/bin/blogtk", line 54, in displayPrefs
    prefsInstance.drawPrefs(self.mainGlade, foo)
  File "/usr/share/blogtk/config.py", line 88, in drawPrefs
    self.parser.add_section("Default")
  File "/usr/lib/python2.6/ConfigParser.py", line 242, in add_section
    raise ValueError, 'Invalid section name: %s' % section
ValueError: Invalid section name: Default
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/lib/python2.6/dist-packages/apport_python_hook.py", line 93, in apport_excepthook
    os.O_WRONLY|os.O_CREAT|os.O_EXCL), 'w')
OSError: [Errno 13] Permission denied: '/var/crash/_usr_share_blogtk_BloGTK.py.1000.crash'

Original exception was:
Traceback (most recent call last):
  File "/usr/bin/blogtk", line 1245, in <module>
    blogtk = BloGTK()
  File "/usr/bin/blogtk", line 136, in __init__
    self.displayPrefs(self)
  File "/usr/bin/blogtk", line 54, in displayPrefs
    prefsInstance.drawPrefs(self.mainGlade, foo)
  File "/usr/share/blogtk/config.py", line 88, in drawPrefs
    self.parser.add_section("Default")
  File "/usr/lib/python2.6/ConfigParser.py", line 242, in add_section
    raise ValueError, 'Invalid section name: %s' % section
ValueError: Invalid section name: Default

I'm not the best python hacker but I'm trying to investigate now

Ralph Taylor (djnrrd) wrote :

Since Python 2.6 REv 60976 (http://svn.python.org/view?view=rev&revision=60976) the config parser class has been updated to disallow adding DEFAULT sections via ConfigParser.add_section.

/usr/share/blogtk/config.py Line 88 -
  self.parser.add_section("Default")

I'm working on this now

Ralph Taylor (djnrrd) on 2009-04-22
Changed in blogtk (Ubuntu):
assignee: nobody → djnrrd
status: New → In Progress
Ralph Taylor (djnrrd) wrote :

OK, the following files should fix these errors in Jaunty. First is BloGTK.py

Ralph Taylor (djnrrd) wrote :

And here is the patch for config.py

Ralph Taylor (djnrrd) wrote :

For simplicities sake I have replaced all usage of "Default" with "Default Server" in the config modules. Debdiff between current Ubuntu version (blogtk_1.1-2ubuntu2) and new version created and attached.

Ralph Taylor (djnrrd) wrote :

Patch completed and submitted - removing myself and subscribing the MOTU's for inclusion

Changed in blogtk (Ubuntu):
assignee: Nrrd (djnrrd) → nobody
Ralph Taylor (djnrrd) wrote :

As per universe sponsor notes

Changed in blogtk (Ubuntu):
status: In Progress → Confirmed
Changed in blogtk:
status: New → Confirmed
Oncle Tom (oncletom) wrote :

I confirmed I had it on Jaunty too, with a fresh install.

kit (kitrule) wrote :

Can someone outline the steps necessary to build a debian/ubuntu .deb package with that patch?

kit (kitrule) wrote :

Followed instructions at https://wiki.ubuntu.com/UbuntuPackagingGuide/BuildFromDebdiff
Failed to build. Results attached.

On 05/11/2009 06:50 PM, kit wrote:
> Followed instructions at https://wiki.ubuntu.com/UbuntuPackagingGuide/BuildFromDebdiff
> Failed to build. Results attached.
>
> ** Attachment added: "Result of running debuild -uc -us"
> http://launchpadlibrarian.net/26605470/debuild_log.txt
>
When i get a minute i will build it with that patch but looking at
monday being the day i can do it maybe tuesday, i wont know until wed.
afternoon

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

John Vivirito (gnomefreak) wrote :

I thought https://bugs.launchpad.net/blogtk/+bug/364745/comments/6 meant it was submitted to universe already.

I'm affected by this too ... looking forward to seeing the patch included! It looks like excellent progress has been made. ^.^

andypiper (andypiperuk) wrote :

Any idea when this fix will hit any of the repositories? Want to try BloGTK on Ubuntu Netbook Remix but the Jaunty version is broken per this report.

Stefan Lesicnik (stefanlsd) wrote :

Build fails after using attached patch. There are a few issues with the patch.

1. We should fix the development version of Ubuntu first. Jaunty then will follow the SRU process.
2. Syntax for closing is LP: #364745
3. The package currently uses a patch system. This patch integrate with this system.

Since there has been no input for over a month, I will pick this up and incorporate this.

Changed in blogtk (Ubuntu):
assignee: nobody → Stefan Lesicnik (stefanlsd)
importance: Undecided → Medium
status: Confirmed → Incomplete
Stefan Lesicnik (stefanlsd) wrote :

Debian has removed blogtk from their archive with the following reason:

--
retitle 443133 RM: blogtk -- RoQA; few users; RC-buggy
reassign 443133 ftp.debian.org
thanks

On Tue, Sep 18, 2007 at 07:04:45PM -0500, Diego Andrés Sanabria Martin
(diegueus9) wrote:
> This software is don't in development anymore.

Additionally this package is RC-buggy (#362828 and #389837) and
considering that the last post on upstream's development blog is dated
Dec 17, 2005, claiming that BloGTK is not dead I think that the
assertion of the maintainer is true and that the package ought to be
removed from unstable.

Kind regards,
Philipp Kern
Debian Developer
--

We normally follow Debian. Is there any objection to removing it from the Ubuntu Archive?

andypiper (andypiperuk) wrote :

Makes sense to remove it if it is no longer maintained, you will only continue to hit issues as GTK and other libraries change. It would just be nice to have a usable blogging client on Ubuntu. My quest for something that works, continues!

Kevin Slade (gleenglobes) wrote :

Anyone willing to take on role of Ubuntu Maintainer for BloGTK? Is best blogging app IMHO and would be sad to see it fall by the way because no one maintains anymore. I don´t have anywhere near enough experience to maintain an app otherwise I´d do it myself. Please don´t let BloGTK die!!

Ralph Taylor (djnrrd) wrote :

I do like this app, but also I dont really have the experience of coding Python/GTK or maintaining an app for ubuntu. However I'm willing to give it a try, so I nominate myself as an Ubuntu Maintainer for this app (Unless anyone more experienced wants to take it up)

Stefan Lesicnik (stefanlsd) wrote :

Hey Nrrd,

Thats great! For a start, could you look at reworking your patch to address the errors i listed above? The following should help. https://wiki.ubuntu.com/MOTU/GettingStarted

More specifically, the Package Training and Package Guide links on that page.

If you need any help, drop by on IRC, my nick is stefanlsd.

Thanks!

JayReding (jayreding) wrote :

I'm the original author of BloGTK.

The BloGTK 1.x codebase is extremely old and may not be worth fixing at this point. There has been a substantial amount of work on a new version, and the in-progress code is available on Launchpad (https://launchpad.net/blogtk). However, I'm unlikely to be able to do much work on the project for at least the next few months. The new version is MUCH more feature-rich and works with the new Blogger Atom APIs as well.

If there is anyone who wants to work on completing BloGTK 2.0 or maintaining a set of packages, they are more than welcome to do so.

Thanks to everyone who's helped keep the existing code alive.

Oncle Tom (oncletom) wrote :

Interesting thread. I was encountering problems with Jaunty too and the version 2 is a good thing, especially as there are not so many blogging software "browser independant".

I'm writting a book on blogging and I wished to include BloGTK (among KBlogger and other tools such as Ecto and Live Writer) until I expected this problem.

If BloGTK 2 is stable enough and you are confident enough on its future, I would be pleased to include it in my review :)
Can I and is it reasonnable to do so?

Thanks

Ralph Taylor (djnrrd) wrote :

Thanks to Stefan I have managed to patch the package correctly. Here's a working debdiff that builds this time :)

Changed in blogtk (Ubuntu):
assignee: Stefan Lesicnik (stefanlsd) → Ralph Taylor (djnrrd)
status: Incomplete → In Progress
Ralph Taylor (djnrrd) wrote :

With Stefan's advice I am working on patches for both Karmic and Jaunty, here is the Karmic Debdiff :) Builds correctly on my Karmic install

Ralph Taylor (djnrrd) wrote :

Sorry, the above Karmic debdiff contains an error in the changelog , here is the correct one

Ralph Taylor (djnrrd) wrote :

And here is a tested debdiff for Jaunty (with the correct changelog!)

Stefan Lesicnik (stefanlsd) wrote :

Thanks Ralph

I built with your patch and installed, but I still get a crash with the following...

Traceback (most recent call last):
  File "/usr/bin/blogtk", line 1245, in <module>
    blogtk = BloGTK()
  File "/usr/bin/blogtk", line 138, in __init__
    self.grabConfig()
  File "/usr/bin/blogtk", line 372, in grabConfig
    self.url = self.conf.get(self.sectionName, 'server')
  File "/usr/lib/python2.6/ConfigParser.py", line 531, in get
    raise NoSectionError(section)
ConfigParser.NoSectionError: No section: 'Default Server'

Do you get this too?

Thanks

Ralph Taylor (djnrrd) wrote :

Thanks Stefan.

My initial build ran fine for me, but I will admit to only briefly running it.

Can you confirm the steps to recreate? Have you ever used the app before and therefore had a .BloGTK folder in your home directory?

Ralph Taylor (djnrrd) wrote :

Stefan,

I've just tried a more detailed test on Karmic, starting with no ~/.BloGTK folder and setting up my wordpress account and everything appears fine. http://djnrrd.wordpress.com/2009/06/21/test-blog-post/ < There's the post I made.

perriman (chuchiperriman) wrote :

If you tell me how, I can test it in Jaunty

Stefan Lesicnik (stefanlsd) wrote :

Hey Ralph,

Thanks. Deleted the ~/.BloGTK folder and it works fine. Will look at uploading the karmic fix in a bit.

Thanks!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package blogtk - 1.1-2ubuntu3

---------------
blogtk (1.1-2ubuntu3) karmic; urgency=low

  * debian/patches/zz-fix-deprecated-configparser-options.patch (LP: #364745)
     - Python 2.6 Rev 60976 has deprecated usage of the "Default" section
       in ConfigParser.
     - Updated source to use "Default Server" instead of "Default".
     - Patch file has conflict with earlier non numbered patches so prefixed
       with "zz" to ensure it is applied last.

 -- Ralph Taylor <email address hidden> Sun, 21 Jun 2009 13:58:14 +0100

Changed in blogtk (Ubuntu):
status: In Progress → Fix Released
Stefan Lesicnik (stefanlsd) wrote :

Ralph, thanks for your contribution!

The only change i made was to wrap the changelog slightly. (we wrap at 80 chars).

For the Jaunty SRU, can you follow the procedure outlined here: https://wiki.ubuntu.com/StableReleaseUpdates

For the Jaunty debdiff, note the following:

1. Version will be something like - blogtk (1.1-2ubuntu2.8.04.1)
2. We will be uploading to jaunty-proposed

If you have any questions, just give me a shout. Thanks!

Changed in blogtk (Ubuntu Jaunty):
status: New → Confirmed
perriman (chuchiperriman) wrote :

Will this fix be released on intrepid? What does debdiff should apply on intrepid?

Thanks all

Stefan Lesicnik (stefanlsd) wrote :

As far as my understanding goes, this is related to Python 2.6. Intrepid has 2.5 so it should not be affected?

perriman (chuchiperriman) wrote :

buffff sorry, forgot the previous comment...

Ralph Taylor (djnrrd) wrote :

SRU Inclusion Summary:

* BloGTK crashes on Startup in Jaunty, representing a severe regression

* TEST CASE: Install blogtk_1.1-2ubuntu2 in Jaunty. Run application.

* Regression occurred due to a deprecation of the "Default" option in the ConfigParser module of Python 2.6 Rev 60976. Patch has been submitted and accepted for Karmic as blogtk_1.1-2ubuntu3

* Debdiff attached for blogtk_1.1-ubuntu2.9.04

* Possible regression of this patch for previous users of BloGTK with Python < 2.6 Rev 60976 where the existing configuration files still use the "Default" option. This can be worked around by deleting the ~/.BloGTK configuration directory and reconfiguring the accounts through the application.

Kevin Slade (gleenglobes) wrote :

Glad to see progress with BloGTK = great work guys

Can´t wait to see new .deb for Jaunty AMD64 ;)

btw Is there a PPA for BloGTK? I can´t find one... Ralph willing to start one?

Ralph Taylor (djnrrd) wrote :

Gleen - I've uploaded the Jaunty Build to my PPA - so you should see it soon.

Stefan Lesicnik (stefanlsd) wrote :

Ralph - Thanks for the Jaunty diff and SRU report. The only change you need to make is jaunty needs to be jaunty-proposed. MOTU-SRU can also do that though. So im subscribing them to this bug for the SRU.

I just encountered this issue -- please get that Jaunty update committed. Thanks!

Kevin Slade (gleenglobes) wrote :

*formally Gleen Globes*
Hee Hee = have switched to ArchLinux but thanks Ralph for all your work on BloGTK

Kevin Slade (gleenglobes) wrote :

Added Ralph´s PPA to my Mythbuntu media centre and installed BloGTK via Synaptic. Opening BloGTK from Network menu didn´t work so entered ¨blogtk¨ in terminal and got a gtkhtml2 dependency error. Added python-gtkhtml2 in Synaptic and tried blogtk from terminal again loaded fine!! Thanks Ralph.

btw Not sure if needed Python bindings for gtkhtml2 or just the libgtkhtml2 that above dragged in. Can you please add whichever one to dependencies.

mac.ryan (macryan) wrote :

Alas, it did not work for me. I followed the same procedure followed by K Slade but also the new version installed from the PPA generate _nearly_ the same error:

Traceback (most recent call last):
  File "/usr/bin/blogtk", line 1245, in <module>
    blogtk = BloGTK()
  File "/usr/bin/blogtk", line 138, in __init__
    self.grabConfig()
  File "/usr/bin/blogtk", line 372, in grabConfig
    self.url = self.conf.get(self.sectionName, 'server')
  File "/usr/lib/python2.6/ConfigParser.py", line 531, in get
    raise NoSectionError(section)
ConfigParser.NoSectionError: No section: 'Default Server'

Notice that it says "Default Server" and not "Default", and somewhere in the thread I noticed that was one of the modifications done to patch the software.

Well... good effort though! :)

Stefan Lesicnik (stefanlsd) wrote :

Did you delete ~/.BloGTK. It needs to regenerate the config directory.

Kevin Slade (gleenglobes) wrote :

I had never put BloGTK on my Mythbuntu centre so ~/.BloGTK wouldn't have existed prior to this install. Still working great.

andypiper (andypiperuk) wrote :

Confirmed that it now works on Jaunty when installed from Ralph's PPA, after deleting ~/.BloGTK.

I have a bunch of issues / enhancement requests which I'll start to raise now that it's working and going to be maintained again. I'll also take a look at the v2 code as that might address some of the problems. Not a Python guru myself or I'd have more of a play with it all :-)

andypiper (andypiperuk) wrote :

... wow. BloGTK 2.0 "just works" for me with 2 Wordpress blogs. Somebody ought to pick this up and package it - it's far more usable than the current version IMHO, although it lacks a few functions (but the autodetection of settings, support for Wordpress tags, the fact that it works with Minimus on UNR which 1.x does not, are awesome).

Off to polish my pygtk skills... I bought a netbook and installed UNR explicitly to use it for simple surfing and blogging and a nice desktop client like this is exactly what I want. Jay - any roadmap / plans for 2.0? I know you said you had little time for it now.

mac.ryan (macryan) wrote :

Brilliant!

   that was exactly what I needed to get it working. Thank you a lot for the promt answer and for taking care of the package! :)

Mac.

JayReding (jayreding) wrote :

I'd like to restart BloGTK 2.0 development this fall if possible. The Glade file is going to have to be fixed, as it crashes the latest versions of Glade. There's a number of functions left to be completed, and some backend stuff for offline editing support. Then the usual amount of bug hunting and compatibility fixes.

If anyone wants to take a crack at submitting patches, feel free to do so. If there's anyone who would be willing to package and maintain the release, that would be great, as packaging is not something I was especially good at.

I will probably start taking a look at things in August and move from there.

I don't think I could submit patches, but I wouldn't mind testing it out!

Many thanks to the person who put up the PPA that finally let me install 1.1!

motu-sru ACK.
Package uploaded to jaunty-proposed.

JayReding (jayreding) on 2009-08-05
Changed in blogtk:
assignee: nobody → JayReding (jayreding)
Steve Langasek (vorlon) wrote :

Ralph, doesn't the proposed SRU patch also discard any existing settings the user had in the [Default] section from intrepid or earlier?

Changed in blogtk (Ubuntu Jaunty):
status: Confirmed → Fix Committed
tags: added: verification-needed
Steve Langasek (vorlon) wrote :

Accepted into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Ralph Taylor (djnrrd) wrote :

Steve: Yeah, older settings will be ignored or most likely need to be trashed out. I'll be the first to admit that this is a quick fix in order to get it working with clean settings.

IdleOne (idleone) wrote :

I am having same problem. Crashes on start.

 blogtk
Traceback (most recent call last):
  File "/usr/bin/blogtk", line 1245, in <module>
    blogtk = BloGTK()
  File "/usr/bin/blogtk", line 138, in __init__
    self.grabConfig()
  File "/usr/bin/blogtk", line 372, in grabConfig
    self.url = self.conf.get(self.sectionName, 'server')
  File "/usr/lib/python2.6/ConfigParser.py", line 531, in get
    raise NoSectionError(section)
ConfigParser.NoSectionError: No section: 'Default Server'

Installed version is :
blogtk:
  Installed: 1.1-2ubuntu2.9.04
  Candidate: 1.1-2ubuntu2.9.04

Stefan Lesicnik (stefanlsd) wrote :

IdleOne - You need to delete ~/.BloGTK

Steve: I think the issue was one of an SRU modify something in a users home directory. Perhaps the install or upgrade postinstall could of mentioned if it was installed to delete the ~/.BloGTK directory.

Still doesn't connect to the blogger API?? can't insert title and other
features.

On Tue, Aug 18, 2009 at 10:05 AM, Stefan Lesicnik <email address hidden> wrote:

> IdleOne - You need to delete ~/.BloGTK
>
> Steve: I think the issue was one of an SRU modify something in a users
> home directory. Perhaps the install or upgrade postinstall could of
> mentioned if it was installed to delete the ~/.BloGTK directory.
>
> --
> blogtk crashes on start
> https://bugs.launchpad.net/bugs/364745
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in BloGTK: Confirmed
> Status in BloGTK 1.2 series: Fix Committed
> Status in “blogtk” package in Ubuntu: Fix Released
> Status in blogtk in Ubuntu Jaunty: Fix Committed
>
> Bug description:
> Installed blogtk on jaunty, tried to start and got this:
>
> Traceback (most recent call last):
> File "/usr/bin/blogtk", line 1245, in <module>
> blogtk = BloGTK()
> File "/usr/bin/blogtk", line 138, in __init__
> self.grabConfig()
> File "/usr/bin/blogtk", line 372, in grabConfig
> self.url = self.conf.get(self.sectionName, 'server')
> File "/usr/lib/python2.6/ConfigParser.py", line 531, in get
> raise NoSectionError(section)
> ConfigParser.NoSectionError: No section: 'Default'
>
> Deleting the directory ~/.BloGTK didn't fix the problem.
> BloGTK.conf is empty after crash.
>

Steve Langasek (vorlon) wrote :

On Tue, Aug 18, 2009 at 02:05:17PM -0000, Stefan Lesicnik wrote:
> Steve: I think the issue was one of an SRU modify something in a users
> home directory. Perhaps the install or upgrade postinstall could of
> mentioned if it was installed to delete the ~/.BloGTK directory.

No, the SRU obviously shouldn't modify anything in a user's home directory,
but it *should* have code in place to handle reading the existing settings
from this [Default] stanza (and perhaps continuing to write to that same
stanza).

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

Ralph Taylor (djnrrd) wrote :

I looked into trying to keep the "Default" stanza, but that would involve a fairly substantial change to the code. As far as I understand the SRU process code changes should be minimal. Whereas a trash of the ~/.BloGTK directory and a rebuild of the settings is a minimal inconvenience workaround.

IdleOne: I had a similar problem getting BloGTK to connect to WordPress. It seems that with WordPress there's a special URL you need to connect to, for your blog, to access what's called an "XMLRPC" interface. So you can't just type in the URL of your blog to the connection dialogue; there's something specific you need to type in.

I don't know what it's like for Blogger, but I suspect that something like this might be what's going on there. Good luck! And to everyone else, I'm looking forward to BloGTK 2.0.

CypherHackz (cypherhackz) wrote :

Confirmed on my Ubuntu 9.04 - ubuntu 2.6.28-15-generic. After installed BloGTK, when run it shows me this error:

Traceback (most recent call last):
  File "/usr/bin/blogtk", line 1245, in <module>
    blogtk = BloGTK()
  File "/usr/bin/blogtk", line 138, in __init__
    self.grabConfig()
  File "/usr/bin/blogtk", line 372, in grabConfig
    self.url = self.conf.get(self.sectionName, 'server')
  File "/usr/lib/python2.6/ConfigParser.py", line 531, in get
    raise NoSectionError(section)
ConfigParser.NoSectionError: No section: 'Default'

Ralph Taylor (djnrrd) wrote :

CypherHackz - If you are running BlogGTK Version 1.1-2ubuntu2.9.04 or the version from my PPA in Jaunty you will need to delete the ~/.BloGTK directory and rebuild your settings & preferences

Kevin Slade (gleenglobes) wrote :

IdleOne and Murrquan: I follow these instructions to get BloGTK working with Wordpress

http://circuitnegma.wordpress.com/2006/10/16/blogtk-software-settings/

CypherHackz (cypherhackz) wrote :

Thanks Ralph. Its wokring now. :-)

Kevin Slade (gleenglobes) wrote :

if I download tar.gz2 file to my laptop running Arch Linux I still have to manually download BloGTK's dependency libgtkhtml before BloGTK will open. Would adding this dependency break BloGTK on Ubuntu systems? If not please add as dependency.

btw I got file from here
https://code.launchpad.net/blogtk/+download

JayReding (jayreding) on 2009-09-09
Changed in blogtk:
status: Confirmed → Fix Committed
Martin Pitt (pitti) wrote :

Can anyone test the package in jaunty-proposed?

skorasaurus (skoraw) wrote :

Martin,

I've used it a couple times in the past weeks and have not experienced any problems. I forgot to report this because I forgot that I had actually upgraded it.

Martin Pitt (pitti) wrote :

copied to jaunty-updates, thanks for testing!

tags: added: verification-done
removed: verification-needed
Changed in blogtk (Ubuntu Jaunty):
status: Fix Committed → Fix Released
zuguy (z-guy) on 2009-12-30
Changed in blogtk (Ubuntu):
status: Fix Released → Confirmed
status: Confirmed → Incomplete
status: Incomplete → Fix Committed
Steve Langasek (vorlon) wrote :

Please don't change bug statuses without explanation.

Changed in blogtk (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers